Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tapestry5.services
Interface InvalidationEventHub

All Known Subinterfaces:
  InternalComponentInvalidationEventHub, MessagesSource, ResourceChangeTracker, ResourceDigestManager

All Known Implementing Classes:
  ComponentTemplateSourceImpl, InternalComponentInvalidationEventHubImpl, InvalidationEventHubImpl, MessagesSourceImpl, ResourceChangeTrackerImpl, ResourceDigestManagerImpl

    public interface InvalidationEventHub

An object which manages a list of `InvalidationListener`s. There are multiple event hub services implementing this interface, each with a specific marker annotation; each can register listeners and fire events; these are based on the type of resource that has been invalidated. Tapestry has built-in support for:

message catalog resources
  `ComponentMessages` marker annotation
component templates
  `ComponentTemplates` marker annotation
component classes
  `ComponentClasses` marker annotation

Starting in Tapestry 5.3, these services are disabled in production (it does nothing).

Since:
  5.1.0.0

Method Summary
`void` | `addInvalidationListener(InvalidationListener listener)` Adds a listener, who needs to know when an underlying resource of a given category has changed (so that the receiver may discard any cached data that may have been invalidated).

Method Detail

### addInvalidationListener

    void addInvalidationListener(InvalidationListener listener)

  Adds a listener, who needs to know when an underlying resource of a given category has changed (so that the receiver may discard any cached data that may have been invalidated). Does nothing in production mode.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2012 The Apache Software Foundation.